Bug 251772 - Problem with graphical install on ATI radeon
Summary: Problem with graphical install on ATI radeon
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-11 00:32 UTC by Chris Adams
Modified: 2018-04-11 11:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-17 02:32:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X log from anaconda (40.17 KB, text/plain)
2007-08-16 03:48 UTC, Chris Adams
no flags Details

Description Chris Adams 2007-08-11 00:32:19 UTC
I have a Thinkpad Z60m with ATI Radeon Mobility X600 graphics (LCD is 1280x800).
 When I start the installer (rawhide on 2007-08-10) and X starts, the display is
messed up.  In the upper left, I get the "normal" install display at maybe
800x600 (just a guess).  The rest of the screen is garbage except for the
pointer.  When I try to click however, I have to have the pointer at the place
the button would be if the video was stretched to full screen (does that
explanation make sense?).

I switched to a text console to check something and switched back, and then the
"normal" part was shifted part of the way off the screen and I couldn't see
enough to use the keyboard for install, so I gave up.

I'm not sure what to file this against (anaconda, xorg-x11-drv-ati, something
else), so I'm starting here.

Comment 1 Chris Adams 2007-08-11 01:41:15 UTC
This is something related to how anaconda sets up the video; I installed using
just the keyboard in graphical mode, and the resulting system works fine (no
problems with X).

Comment 2 Matěj Cepl 2007-08-15 16:39:26 UTC
Can we get /var/log/anaconda.xlog attached to this bug, please?

Comment 3 Chris Adams 2007-08-16 03:48:10 UTC
Sorry, I was testing something else, so that install is gone.  I guess this is
the same as /tmp/ramfs/X.log during install?  I'm attaching that (from just
after the first X-based screen).


Comment 4 Chris Adams 2007-08-16 03:48:43 UTC
Created attachment 161429 [details]
X log from anaconda

Comment 5 Adam Jackson 2007-08-27 20:52:25 UTC
Please try this with the f8t2 installer (once it's out), there's a new radeon
driver there that probably resolves this.

Comment 6 Chris Adams 2007-12-17 02:32:01 UTC
Working with F8 release.


Note You need to log in before you can comment on or make changes to this bug.